#
# spec file for package perl-XML-DOM
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-XML-DOM
%define cpan_name XML-DOM
Summary:        Perl module for building DOM Level 1 compliant document structures
Version:        1.44
Release:        172.1
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-DOM/
#Source:         http://www.cpan.org/modules/by-module/XML/XML-DOM-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(XML::Parser) >= 2.30
BuildRequires:  perl(XML::Parser::PerlSAX) >= 0.07
BuildRequires:  perl(XML::RegExp)
Requires:       perl(LWP::UserAgent)
Requires:       perl(XML::Parser) >= 2.30
Requires:       perl(XML::Parser::PerlSAX) >= 0.07
Requires:       perl(XML::RegExp)
# Provides:       p_xmldom XML-DOM
# Obsoletes:      p_xmldom

%description
This module extends the XML::Parser module by Clark Cooper. The XML::Parser
module is built on top of XML::Parser::Expat, which is a lower level
interface to James Clark's expat library.

Authors:
--------
    Enno Derksen <enno@att.com>
    Clark Cooper <coopercc@netheaven.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc BUGS Changes FAQ.xml README XML-Parser-2.31.patch

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Jan 15 2009 anicka@suse.cz
- do not ignore test results (bnc#465994)
* Thu Feb  9 2006 anicka@suse.cz
- require perl-libwww-perl (#149416)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.44
* Tue Mar  1 2005 mjancar@suse.cz
- require perl-XML-RegExp
* Mon Aug 16 2004 ro@suse.de
- ignore testsuite output for the moment
  to build dependant packages
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.43
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Jul 18 2003 poeml@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Fri Dec 27 2002 prehak@suse.cz
- updated to version 1.42
- reenabled make test except fot one test
* Wed Jul 31 2002 mls@suse.de
- disable 'make test' for now as unicode stuff seems to be
  incompatible with perl-5.8.0. Waiting for new release...
* Tue Jul 23 2002 prehak@suse.cz
- update to version 1.39
- enabled make test
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 1.36
* Thu Aug 16 2001 rvasice@suse.cz
- update to 1.31
* Fri Nov 10 2000 cihlar@suse.cz
- renamed p_xmldom -> perl-XML-DOM
- bzipped sources
- fixed file list
* Mon Aug 21 2000 ro@suse.de
- adapted for perl-5.6
* Thu Apr 20 2000 cihlar@suse.cz
- added BuildRoot
* Fri Jan 21 2000 ro@suse.de
- fixed filelist: use macro for mandir
* Tue Jan 18 2000 ke@suse.de
- Fix %%files list.
* Mon Jan 10 2000 ke@suse.de
- Update: version 1.25.
- Use %%{version} instead %%{ver} (predefined).
* Mon Jan 10 2000 ke@suse.de
- Add missing DOM.pm to the %%files list (#1630).
- Use version macro.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug  4 1999 ke@suse.de
- New package: version 1.23.
